Name:           pwmd
Version:        3.0.18
Release:        8%{?dist}
Summary:        A server for storing application data at a central location

License:        GPLv2+
URL:            http://bjk.sourceforge.net/pwmd/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  cracklib-devel
Buildrequires:  glib2-devel
Buildrequires:  gnutls-devel
BuildRequires:  libacl-devel
BuildRequires:  libassuan-devel >= 2.0.0
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libubsan
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

Requires:       pinentry >= 0.7.5

%description
Password Manager Daemon is a server that provides a way for applications
to securely store and retrieve data at a centralized location. The data is
stored in an (optionally AES256 encrypted) XML file and clients connect and
send commands to manipulate the data. Some of the features include:

* Multi-threaded. More than one client may access the data at the same
  time.
* A key cache so clients won't need to enter a key each time a file is
  opened or saved.
* Key retrieval via pinentry(1).
* Configuration file which supports file specific settings including:
  encryption iterations, cache expiration and encryption key or key file
  and more.
* Compressed data file support.
* Logging to file and/or syslog.
* Secure memory usage. PWMD will zero out memory before freeing it and
  also has the option to lock the entire process in RAM to avoid swapping
  the data to virtual memory.

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-gnutls \
    --enable-agent \
    --enable-quality \
    --enable-acl
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_infodir}/dir

%check
make check

%files
%doc ChangeLog NEWS README doc/config.example
%license COPYING
%{_mandir}/man*/%{name}*.*
%{_infodir}/%{name}.info.gz
%{_bindir}/%{name}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 07 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.18-6
- Remove unneeded BuildRequires: pth-devel

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Nov 19 2016 Peter Robinson <pbrobinson@fedoraproject.org> 3.0.18-2
- Fix dependencies for FBTFS (rhbz: 1239812, 1307885)

* Sun Feb 14 2016 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.18-1
- Fix FTBFS (rhbz#1307885)
- Update to new upstream version 3.0.18

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 17 2015 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.17-1
- Update to new upstream version 3.0.17
- Fix FTBFS (rhbz#1239812)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 16 2015 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.13-1
- Update to new upstream version 3.0.13

* Mon Sep 01 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.7-1
- Update to new upstream version 3.0.7

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Tomáš Mráz <tmraz@redhat.com> - 3.0.6-2
- Rebuild for new libgcrypt

* Thu Jan 23 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.6-1
- Update to new upstream version 3.0.6

* Mon Oct 28 2013 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.5-1
- Update to new upstream version 3.0.5

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.2-1
- Update to new upstream version 3.0.2

* Sat Apr 06 2013 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.1-1
- Update to new upstream version 3.0.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.18-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 15 2010 Fabian Affolter <mail@fabian-affolter.ch> - 2.18-1
- Updated to new upstream version 2.18

* Fri Jul 17 2009 Fabian Affolter <mail@fabian-affolter.ch> - 2.1-1
- Remove COMMANDS from doc
- Update to new upstream version 2.1

* Sun Apr 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.2-1
- Initial package for Fedora
